<?php
use cmfcmf\OpenWeatherMap;
use cmfcmf\OpenWeatherMap\Exception as OWMException;
require (dirname(__FILE__). '/system/library/cmfcmf/OpenWeatherMap.php');

class Weather extends Tools_Plugins_Abstract{


    private $_flashMessenger = null;

    protected function _load() {
        if(empty($this->_options)) {
            throw new Exceptions_SeotoasterWidgetException('Not enough parameters');
        }
        $rendererName = '_render' . ucfirst(array_shift($this->_options));
        if(method_exists($this, $rendererName)) {
            return $this->$rendererName();
        }
        return '<!-- can not find renderer ' . $rendererName . ' -->';
    }
    protected function _init() {
        $this->_flashMessenger = Zend_Controller_Action_HelperBroker::getStaticHelper('FlashMessenger');
        $this->_view->setScriptPath(__DIR__ . '/system/views/');
    }
    protected function _makeOptionMap() {
        $this->_view->width = $this->_options[1];
        $this->_view->height = $this->_options[2];
        $Form = new Forms_FindCity();
        $this->_view->findForm = $Form;
        return $this->_view->render('weatherMap.weather.phtml');
    }
    public function findAction() {
        if(!$this->_request->isPost()) {
            throw new Exceptions_SeotoasterPluginException('Direct access is not allowed');
        }
        $owm  = new \cmfcmf\OpenWeatherMap();
        $data = $owm->getRawWeatherData($this->_request->getParam('city'), 'metric', 'en', null, 'json');
        echo $data;
    }
}