<?php

class Widgets_Weather_Weather extends Widgets_Abstract
{

    protected function _load()
    {
        if (empty($this->_options)) {
            throw new Exceptions_SeotoasterWidgetException('Not enough parameters');
        }
        $rendererName = '_render' . ucfirst(array_shift($this->_options));
        if (method_exists($this, $rendererName)) {
            return $this->$rendererName();
        }

        return '<!-- can not find renderer ' . $rendererName . ' -->';
    }

    protected function _init()
    {

        $this->_view = new Zend_View(array('scriptPath' => __DIR__ . '/views'));
    }

    protected function _renderCurrent()
    {
        if (empty($this->_options[0])) {
            throw new Exceptions_SeotoasterWidgetException('Missed argument : city');
        }
        $weatherMap = new \cmfcmf\OpenWeatherMap();
        $currentWeatherData = json_decode($weatherMap->getRawWeatherData($this->_options[0], 'metric', 'en', null,
            'json'), true);
        if (isset($currentWeatherData['cod']) && $currentWeatherData['cod'] === "404") {
            return $this->_translator->translate('wrong city provided');
        }
        $this->_view->currentWeatherData = $currentWeatherData;

        return $this->_view->render('current.weather.phtml');
    }

    protected function _renderForecast()
    {
        if (empty($this->_options[0])) {
            throw new Exceptions_SeotoasterWidgetException('Missed argument : city');
        }
        $weatherForecast = new \cmfcmf\OpenWeatherMap();
        if(!empty($this->_options[1])) {
            $forecastData = $weatherForecast->getRawDailyForecastData1($this->_options[0], $units = 'metric',
                $lang = 'en', $appid = '', $mode = 'xml', $this->_options[1]);
        }else {
            return 'Missed argument : days';
        }
        if (preg_match('~404~', $forecastData)) {
            return $this->_translator->translate('wrong city provided');
        }
        try {
            $weatherForecastData = new SimpleXMLElement($forecastData);
        } catch (Exception $e){
            return $this->_translator->translate('cant establish connection');
        }
        $this->_view->forecastXml = $weatherForecastData;

        return $this->_view->render('forecast.weather.phtml');

    }
}
